org.richfaces.component

## Class UIDragIndicator

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractDragIndicator
      - - org.richfaces.component.UIDragIndicator

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIDragIndicator
      extends AbstractDragIndicator

  The <rich:dragIndicator> component defines a graphical element to display under the mouse cursor during a drag-and-drop operation.

  Author:
    abelevich

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIDragIndicator.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDragIndicator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAcceptClass()` Assigns one or more space-separated CSS class names to the indicator which are applied when a drop is accepted
    `String` | `getDraggingClass()` Assigns one or more space-separated CSS class names to the component.
    `String` | `getFamily()`
    `String` | `getRejectClass()` Assigns one or more space-separated CSS class names to the indicator which are applied when a drop is rejected
    `void` | `setAcceptClass(String acceptClass)`
    `void` | `setDraggingClass(String draggingClass)`
    `void` | `setRejectClass(String rejectClass)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIDragIndicator

          public UIDragIndicator()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractDragIndicator`

    - #### getAcceptClass

          public String getAcceptClass()

      Description copied from class: `AbstractDragIndicator`
      Assigns one or more space-separated CSS class names to the indicator which are applied when a drop is accepted
      Specified by:
        `getAcceptClass` in class `AbstractDragIndicator`

    - #### setAcceptClass

          public void setAcceptClass(String acceptClass)

    - #### getDraggingClass

          public String getDraggingClass()

      Description copied from class: `AbstractDragIndicator`
      Assigns one or more space-separated CSS class names to the component. Corresponds to the HTML "class" attribute.
      Specified by:
        `getDraggingClass` in class `AbstractDragIndicator`

    - #### setDraggingClass

          public void setDraggingClass(String draggingClass)

    - #### getRejectClass

          public String getRejectClass()

      Description copied from class: `AbstractDragIndicator`
      Assigns one or more space-separated CSS class names to the indicator which are applied when a drop is rejected
      Specified by:
        `getRejectClass` in class `AbstractDragIndicator`

    - #### setRejectClass

          public void setRejectClass(String rejectClass)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.